/**
 * @file log_ipcc.h
 *
 * @brief This file contains logger enumeration values for the module IPCC
 *
 */


/* Note: header guard format should not be changed */
#ifndef _LOG_IPCC_H_
#define _LOG_IPCC_H_



/* User has to update enum list */
#define IPCC_FOREACH_LOG(IPCC_LOG_NAME) 	\
        IPCC_LOG_NAME(ICD_thread_entry)   			\
        IPCC_LOG_NAME(OBC_PLD_SERVER_INIT_REQ_recvd__u8_)   			\
        IPCC_LOG_NAME(OBC_PLD_SERVER_DEINIT_REQ_recvd__u8_)   			\
        IPCC_LOG_NAME(PS_UTC_Time_Configuration__u8__u8__u16_)   			\
        IPCC_LOG_NAME(PS_UTC_Time_Configuration__u8__u8__u8_)   			\
        IPCC_LOG_NAME(Malloc_failed_in_PS_OBC_PS_HW_PWR_ON_CMD)   			\
        IPCC_LOG_NAME(Malloc_failed_in_PS_OBC_PS_HW_PWR_OFF_CMD)   			\
        IPCC_LOG_NAME(Encoder_not_enabled_for_IPCC_ID__u16_)   			\
        IPCC_LOG_NAME(Error_in_binding_ICD_socket)   			\
        IPCC_LOG_NAME(Listening_for_ICD_Socket_connection_request)   			\
        IPCC_LOG_NAME(Error_in_listening_to_ICD_Socket)   			\
        IPCC_LOG_NAME(Error_in_selecting_to_ICD_Socket)   			\
        IPCC_LOG_NAME(Error_in_accepting_ICD_Socket)   			\
        IPCC_LOG_NAME(ICD_Socket_accept_success)   			\
        IPCC_LOG_NAME(Receive_bytesize_zero)   			\
        IPCC_LOG_NAME(Error_in_IPCC_unpack_Exiting_thread)   			\
        IPCC_LOG_NAME(Received_data_is_unencrypted)   			\
        IPCC_LOG_NAME(Successfully_Received_data__u32_)   			\
        IPCC_LOG_NAME(Full_frame_not_received_Remaining_Len__u16_)   			\
        IPCC_LOG_NAME(Total_Byte_size__u32__u32_)   			\
        IPCC_LOG_NAME(Received_data_is_encrypted)   			\
        IPCC_LOG_NAME(Ipcc_seqno_is__u16_)   			\
        IPCC_LOG_NAME(Data_is)   			\
        IPCC_LOG_NAME(Warning_Missing_frame_sequence_number__u16_)   			\
        IPCC_LOG_NAME(_u8_)   			\
        IPCC_LOG_NAME(Power_OFF_VM_ID_is__u16_)   			\
        IPCC_LOG_NAME(Power_ON_VM_ID_is__u16_)   			\
        IPCC_LOG_NAME(Error_in_creating_ICD_socket)   			\
        IPCC_LOG_NAME(Server_socket_is_created)   			\
        IPCC_LOG_NAME(OBC_APP_ITC_Message_send_fail)   			\
        IPCC_LOG_NAME(IPCC_LOG_MAX)   			




#define IPCC_GENERATE_ENUM(ENUM) ENUM,
#define IPCC_GENERATE_STRING(STRING) #STRING,

typedef enum log_ipcc_e_
{
	IPCC_FOREACH_LOG(IPCC_GENERATE_ENUM)
}log_ipcc_e;


#endif /* _LOG_IPCC_H_ */
